Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.splitstream
Class SplitStreamSubscribeContent

    java.lang.Object
      rice.p2p.splitstream.SplitStreamSubscribeContent

All Implemented Interfaces:
  ScribeContent, java.io.Serializable

public class SplitStreamSubscribeContent
extends java.lang.Object
implements ScribeContent

This represents data sent through scribe for splitstream during a subscribe

Version:
  $Id: SplitStreamSubscribeContent.java 2302 2005-03-11 00:58:26Z jeffh $
Author:
  Alan Mislove
See Also:
  Serialized Form

Field Summary
`protected int` | `stage` The stage that the client attempting to join is in
`static int` | `STAGE_FINAL` The final stage of the join process
`static int` | `STAGE_NON_FINAL` The first stage of the join process

Constructor Summary
`SplitStreamSubscribeContent(int stage)` Constructor taking in a byte[]

Method Summary
`int` | `getStage()` Returns the data for this content

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### stage

    protected int stage

  The stage that the client attempting to join is in

### STAGE_NON_FINAL

    public static int STAGE_NON_FINAL

  The first stage of the join process

### STAGE_FINAL

    public static int STAGE_FINAL

  The final stage of the join process

Constructor Detail

### SplitStreamSubscribeContent

    public SplitStreamSubscribeContent(int stage)

  Constructor taking in a byte[]

Parameters:
  `stage` - DESCRIBE THE PARAMETER

Method Detail

### getStage

    public int getStage()

  Returns the data for this content

  Returns:
    The data for this content

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.